// This routine checks input files to make sure the suffix
// is a file type we can read
//----------------------------------------------------------

int testSuffix(char* nameStore) {
  int sufc = 0;
  char *suf ;
  char **sufv = NULL ;
  if (strlen(nameStore)>0) {
    suf = strrchr(nameStore, '.') ;
    if (suf) {
      int suf_found = 0 ;
      for (int c = 0; c<sufc; c++) {
	if (!strcmp(suf,sufv[c])) {
	  suf_found = 1 ;
	  break ;    
	}
      }
      if (!suf_found) {
	sufv = (char **) realloc(sufv, sizeof(char *)*(sufc+1));
	sufv[sufc] = strdup(suf) ;
	sufc++ ;
	if(!pfdInitConverter(suf)) {
	  dtkMsg.add(DTKMSG_ERROR,
		     "pfdInitConverter(%s) failed.\n",
		     suf) ;
	  return DTK_CALLBACK_ERROR;
	}
      }
    } 
    else {
      dtkMsg.add(DTKMSG_ERROR,
		 "no file suffix found for file \"%s\"\n",nameStore) ;
      return DTK_CALLBACK_ERROR;
    }
	      
    if(!pfdInitConverter(suf)) {
      dtkMsg.add(DTKMSG_ERROR,
		 "pfdInitConverter(%s) failed.\n",
		 suf) ;
      return DTK_CALLBACK_ERROR;
    }      
  }
  return 0;
}
